Like Dragmode

Discussion in 'AutoCAD' started by mnash, Mar 3, 2005.

  1. mnash

    mnash Guest

    Is there a system variable (or a way) that is the perfect opposite of the system variable "DRAGMODE."
    When I rotate an object, I want the original to be hidden and not the possible result of the rotation. Dragmode variable hides the possible result, and I don't want that.
    Thanks
    mnash
     
    mnash, Mar 3, 2005
    #1
  2. mnash

    Phil Clark Guest

    You could use the (redraw) function with option 2. For example:

    (setq ENT (car (entsel "Select object to rotate: ")))
    (setq RPT (getpoint "\nSpecify base point: "))
    (redraw r 2)
    (command ".rotate" ENT "" RPT)

    possible result of the rotation. Dragmode variable hides the possible
    result, and I don't want that.
     
    Phil Clark, Mar 4, 2005
    #2
  3. mnash

    Phil Clark Guest

    sorry...mod'd the code and missed changing variable name

    (setq ENT (car (entsel "Select object to rotate: ")))
    (setq RPT (getpoint "\nSpecify base point: "))
    (redraw ENT 2)
    (command ".rotate" ENT "" RPT)
     
    Phil Clark, Mar 4, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.